Skip to main content

Methods

This page will contain the Seenic Data REST API endpoints (“methods”) with required parameters and examples.

Get location

GET /location/{locationId}

Returns data for a single location.

  • Base URL: https://data-api.seenic.io
  • Path params
    • locationId (string | number): Location identifier

Example request

curl "https://data-api.seenic.io/location/5772"

Response

The response body is JSON.

Example response

{
"uuid": "9f2d7a8e-3d0b-4c8d-9c3a-9b7f2a1c4d55",
"explorer3dId": "5772",
"status": "active",
"language": "en",
"name": "The View property",
"dataSource": "Engrain",
"engrainAssetId": "45674499773",
"gmapId": "ChIJN1t_tDeuEmsRUsoyG83frY4",
"sunNorth": 0,
"overview3dLocationId": "1852",
"mainColor": "#1A73E8",
"defaultTab": "Amenities",
"showAvailable": true,
"logo": "https://cdn.example.com/logo.png",
"hidePrices": false,
"priceType": "rent",
"sitemapColor": "#34A853",
"customSubmitButtonText": "Request Info",
"displayMoveInDate": true,
"moveInUrlParam": "moveInDate",
"moveInDatePeriodInDays": 30,
"moveInDateFormat": "YYYY-MM-DD",
"leaseTermEnabled": true,
"leaseTermDateSourceEntry": "9463596432",
"pricingStrategy": "flat",
"originsUrlParam": "origin",
"currency": "USD",
"displayDateFormat": "MM/DD/YYYY",
"propertyEmail": "leasing@example.com",
"phoneNumber": "+1-555-0100",
"website": "https://example.com",
"disclaimer": "Information is provided as-is."
}

Get floorplans by location

GET /location/{locationId}/floorplans

Returns a list of floorplans for the given location.

  • Base URL: https://data-api.seenic.io
  • Path params
    • locationId (string | number): Location identifier

Example request

curl "https://data-api.seenic.io/location/5772/floorplans"

Response

The response body is JSON.

Example response

[
{
"id": "17419c41-ada1-4abe-a7c1-f16694a915d0",
"area": null,
"name": "B1",
"bathroomAmount": 2,
"bedroomAmount": 2,
"content": "{\"videos\":[{\"link\":\"https://seenic-dev-content.s3.eu-west-3.amazonaws.com/locations/1752c806-620c-43e0-8ccd-d3a8d8f97cac/floorplans/17419c41-ada1-4abe-a7c1-f16694a915d0/content/videos/video7E4B7F2A-4449-422E-8552-FBFBCB6574CE.mp4\",\"fileName\":\"video7E4B7F2A-4449-422E-8552-FBFBCB6574CE.mp4\",\"lastModified\":\"2025-03-28T18:34:58.000Z\"}],\"images\":[],\"plans\":[{\"link\":\"https://seenic-dev-content.s3.eu-west-3.amazonaws.com/locations/1752c806-620c-43e0-8ccd-d3a8d8f97cac/floorplans/17419c41-ada1-4abe-a7c1-f16694a915d0/content/plans/B1-main.jpg\",\"fileName\":\"B1-main.jpg\",\"lastModified\":\"2025-01-01T00:00:00.000Z\"},{\"link\":\"https://seenic-dev-content.s3.eu-west-3.amazonaws.com/locations/1752c806-620c-43e0-8ccd-d3a8d8f97cac/floorplans/17419c41-ada1-4abe-a7c1-f16694a915d0/content/plans/B1-secondary.jpg\",\"fileName\":\"B1-secondary.jpg\",\"lastModified\":\"2025-01-01T00:00:00.000Z\"}]}",
"plans": [
{
"link": "https://seenic-dev-content.s3.eu-west-3.amazonaws.com/locations/1752c806-620c-43e0-8ccd-d3a8d8f97cac/floorplans/17419c41-ada1-4abe-a7c1-f16694a915d0/content/plans/B1-main.jpg",
"fileName": "B1-main.jpg",
"lastModified": "2025-01-01T00:00:00.000Z"
},
{
"link": "https://seenic-dev-content.s3.eu-west-3.amazonaws.com/locations/1752c806-620c-43e0-8ccd-d3a8d8f97cac/floorplans/17419c41-ada1-4abe-a7c1-f16694a915d0/content/plans/B1-secondary.jpg",
"fileName": "B1-secondary.jpg",
"lastModified": "2025-01-01T00:00:00.000Z"
}
],
"spinnerLink": "https://tour.seenic.io/spinner-360?locationId=2069",
"tourLink": "https://tour.seenic.io/?locationId=522",
"fallbackTourLink": null,
"videos": null
}
]

Get units by location

GET /location/{locationId}/units

Returns a list of units for the given location.

  • Base URL: https://data-api.seenic.io
  • Path params
    • locationId (string | number): Location identifier

Example request

curl "https://data-api.seenic.io/location/5772/units"

Response

The response body is JSON.

Example response

[
{
"uuid": "2c1f7b67-8fb0-49d8-9d6d-4a9f4c7b1d2a",
"unitNumber": "1204",
"price": 2450,
"area": 742,
"engrainId": "1784563",
"displayName": "Unit 1204",
"quarter": "Q2",
"building": "B4",
"section": "S5",
"floor": 12,
"unitDescription": "1 bed / 1 bath",
"seenicId": "Q2B4S5F12U1204",
"isAvailable": true,
"availabilityStatus": "available",
"availabilityDate": "2026-04-01",
"customField1Name": "Pet friendly",
"customField1State": true,
"customField2Name": "Furnished",
"customField2State": false,
"customField3Name": "View",
"customField3State": "city",
"customField4Name": "Renovated",
"customField4State": false,
"balconyName": "Balcony",
"floorPlan": {
"id": "17419c41-ada1-4abe-a7c1-f16694a915d0",
"area": null,
"name": "B1",
"bathroomAmount": 2,
"bedroomAmount": 2,
"content": "{\"videos\":[{\"link\":\"https://seenic-dev-content.s3.eu-west-3.amazonaws.com/locations/1752c806-620c-43e0-8ccd-d3a8d8f97cac/floorplans/17419c41-ada1-4abe-a7c1-f16694a915d0/content/videos/video7E4B7F2A-4449-422E-8552-FBFBCB6574CE.mp4\",\"fileName\":\"video7E4B7F2A-4449-422E-8552-FBFBCB6574CE.mp4\",\"lastModified\":\"2025-03-28T18:34:58.000Z\"}],\"images\":[],\"plans\":[{\"link\":\"https://seenic-dev-content.s3.eu-west-3.amazonaws.com/locations/1752c806-620c-43e0-8ccd-d3a8d8f97cac/floorplans/17419c41-ada1-4abe-a7c1-f16694a915d0/content/plans/B1-main.jpg\",\"fileName\":\"B1-main.jpg\",\"lastModified\":\"2025-01-01T00:00:00.000Z\"},{\"link\":\"https://seenic-dev-content.s3.eu-west-3.amazonaws.com/locations/1752c806-620c-43e0-8ccd-d3a8d8f97cac/floorplans/17419c41-ada1-4abe-a7c1-f16694a915d0/content/plans/B1-secondary.jpg\",\"fileName\":\"B1-secondary.jpg\",\"lastModified\":\"2025-01-01T00:00:00.000Z\"}]}",
"plans": [
{
"link": "https://seenic-dev-content.s3.eu-west-3.amazonaws.com/locations/1752c806-620c-43e0-8ccd-d3a8d8f97cac/floorplans/17419c41-ada1-4abe-a7c1-f16694a915d0/content/plans/B1-main.jpg",
"fileName": "B1-main.jpg",
"lastModified": "2025-01-01T00:00:00.000Z"
},
{
"link": "https://seenic-dev-content.s3.eu-west-3.amazonaws.com/locations/1752c806-620c-43e0-8ccd-d3a8d8f97cac/floorplans/17419c41-ada1-4abe-a7c1-f16694a915d0/content/plans/B1-secondary.jpg",
"fileName": "B1-secondary.jpg",
"lastModified": "2025-01-01T00:00:00.000Z"
}
],
"spinnerLink": "https://tour.seenic.io/spinner-360?locationId=2069",
"tourLink": "https://tour.seenic.io/?locationId=522",
"fallbackTourLink": null,
"videos": null
},
"explorerId": "5722",
"contentLinks": "{\"screenshots\":[{\"link\":\"https://3dexplorer-content.s3.eu-west-3.amazonaws.com/locations/1752c806-620c-43e0-8ccd-d3a8d8f97cac/units/d09c182a-c64d-4d75-9c5a-aff87c2b5513/content/screenshots/Q2B4S5F12U1204.webp\",\"fileName\":\"Q2B4S5F12U1204.webp\",\"lastModified\":\"2025-06-04T13:43:39.000Z\"}]}",
"tourLink": "https://tour.seenic.io/locationId=228",
"fallbackTourLink": "https://tour.seenic.io/locationId=1302",
"realPageUnitId": "rp-unit-1204",
"realPagePropertyId": "rp-prop-55",
"applyUrl": "https://example.com/apply?unit=1204",
"unknownProviderId": "provider-x-999"
}
]

Get amenities by location

GET /location/{locationId}/amenities

Returns the list of amenities for the given location.

  • Base URL: https://data-api.seenic.io
  • Path params
    • locationId (string | number): Location identifier

Example request

curl "https://data-api.seenic.io/location/5772/amenities"

Response

The response body is JSON.

Example response

{
"amenities": [
{
"id": 59,
"link": "https://tour.seenic.io?locationId=509",
"fallbackLink": null,
"icon": "amenity-icons/couch.svg",
"index": 0,
"name": "Outdoor Clubroom"
},
{
"id": 60,
"link": "https://tour.seenic.io?locationId=508",
"fallbackLink": null,
"icon": "amenity-icons/couch.svg",
"index": 1,
"name": "Clubroom"
},
{
"id": 61,
"link": "https://tour.seenic.io?locationId=510",
"fallbackLink": null,
"icon": "amenity-icons/waves.svg",
"index": 2,
"name": "Pool"
},
{
"id": 62,
"link": "https://tour.seenic.io?locationId=513",
"fallbackLink": null,
"icon": "amenity-icons/terrace.svg",
"index": 3,
"name": "Lakeside"
},
{
"id": 63,
"link": "https://tour.seenic.io?locationId=514",
"fallbackLink": null,
"icon": "amenity-icons/dog.svg",
"index": 4,
"name": "Dogpark"
},
{
"id": 64,
"link": "https://tour.seenic.io?locationId=511",
"fallbackLink": null,
"icon": "amenity-icons/barbell.svg",
"index": 5,
"name": "Fitness"
}
]
}

Get sitemap by location

GET /location/{locationId}/sitemap

Returns sitemap items for the given location.

  • Base URL: https://data-api.seenic.io
  • Path params
    • locationId (string | number): Location identifier

Example request

curl "https://data-api.seenic.io/location/5772/sitemap"

Response

The response body is JSON.

Example response

[
{
"svgUrl": "https://cdn.example.com/sitemaps/floor-1.svg",
"floor": "1",
"backgroundUrl": "https://cdn.example.com/sitemaps/floor-1.png"
},
{
"svgUrl": "https://cdn.example.com/sitemaps/floor-2.svg",
"floor": "2",
"backgroundUrl": "https://cdn.example.com/sitemaps/floor-2.png"
}
]

Get neighborhood map by location

GET /location/{locationId}/neighborhood-map

Returns neighborhood map configuration for the given location.

  • Base URL: https://data-api.seenic.io
  • Path params
    • locationId (string | number): Location identifier

Example request

curl "https://data-api.seenic.io/location/5772/neighborhood-map"

Response

The response body is JSON.

Example response

{
"gmapToken": "YOUR_GMAP_TOKEN",
"gmapCenterPoint": { "lat": 34.052235, "lng": -118.243683 },
"gmapAltitude": 1200,
"distance": 1500,
"horizonAngle": 45,
"verticalAngle": 35,
"polygonCoordinates": [
{ "lat": 34.052235, "lng": -118.243683 },
{ "lat": 34.053, "lng": -118.243 },
{ "lat": 34.051, "lng": -118.242 }
],
"routes": [
{
"category": "Education",
"places": [
{
"placeName": "Oceanway Elementary School",
"displayPlaceName": "Oceanway Elementary School",
"placeId": "ChIJAI8Q3T-u5YgR8c5GJ3BXXAI0"
},
{
"placeName": "First Coast High School",
"displayPlaceName": "First Coast High School",
"placeId": "ChIJLwimNHmu5YgRfQfDUi3_VjQ"
},
{
"placeName": "Biscayne Elementary School",
"displayPlaceName": "Biscayne Elementary School",
"placeId": "ChIJQZT4v-ev5YgRdUj_wuijTlY"
}
]
},
{
"category": "Entertainment",
"places": [
{
"placeName": "Choppers Bar & Grill",
"displayPlaceName": "Choppers Bar & Grill",
"placeId": "ChIJ77wrTUGu5YgRQqfZhHtkf4"
}
]
},
{
"category": "FoodAndDrink",
"places": [
{
"placeName": "Cracker Barrel Old Country Store",
"displayPlaceName": "Cracker Barrel Old Country Store",
"placeId": "ChIJ99iWDIKu5YgR-CF4XK5FMBQ"
},
{
"placeName": "Chick-fil-A",
"displayPlaceName": "Chick-fil-A",
"placeId": "ChIJAd-WVluq5YgRemKeVeSkxQ"
},
{
"placeName": "Texas Roadhouse",
"displayPlaceName": "Texas Roadhouse",
"placeId": "ChIJM2W2tRyV5YgRQQ4NyHpILew"
}
]
},
{
"category": "HealthAndWellness",
"places": [
{
"placeName": "Walgreens",
"displayPlaceName": "Walgreens",
"placeId": "ChIJGSRLh0Uu5YgRmVBV7_EZYv4"
}
]
},
{
"category": "Shopping",
"places": [
{
"placeName": "River City Marketplace",
"displayPlaceName": "River City Marketplace",
"placeId": "ChIJzescz02u5YgR0e_PQezqXx4"
},
{
"placeName": "Best Buy",
"displayPlaceName": "Best Buy",
"placeId": "ChIJZescz02u5YgRkeMRZVCJui0"
},
{
"placeName": "Lowe's Home Improvement",
"displayPlaceName": "Lowe's Home Improvement",
"placeId": "ChIJa_ZAZlCu5YgRB2IhA2kJbIQ"
}
]
},
{
"category": "Services",
"places": [
{
"placeName": "Chipotle Mexican Grill",
"displayPlaceName": "Chipotle Mexican Grill",
"placeId": "ChIJ6bEFPKWu5YgRBLIIBHGSi24"
}
]
}
]
}